## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.2
%bcond_without check

# https://github.com/hickford/git-credential-oauth
%global goipath         github.com/hickford/git-credential-oauth
Version:                0.15.0

%gometa -f

%global common_description %{expand:
A Git credential helper that authenticates to GitHub, GitLab, BitBucket and
other forges using OAuth. The first time you push, the helper will open a
browser window to authenticate. Subsequent pushes within the cache timeout
require no interaction.}

%global golicenses      LICENSE.txt
%global godocs          CONTRIBUTING.md README.md

Name:           git-credential-oauth
Release:        %autorelease
Summary:        Git credential helper for GitHub and other forges using OAuth

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

Enhances: git
Recommends: xdg-utils

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
export GO_LDFLAGS="-X main.version=%{version}"
%gobuild -o %{gobuilddir}/bin/git-credential-oauth %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -m 0755 -vd                     %{buildroot}%{_mandir}/man1
install -m 0644 -vp git-credential-oauth.1 -t %{buildroot}%{_mandir}/man1

%if %{with check}
%check
%gocheck
%endif

%files
%{_mandir}/man1/git-credential-oauth.1*
%license LICENSE.txt
%doc CONTRIBUTING.md README.md
%{_bindir}/git-credential-oauth

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Sat Mar 01 2025 Packit <hello@packit.dev> - 0.15.0-1
- Update to 0.15.0 upstream release
- Resolves: rhbz#2349110

* Sat Nov 09 2024 M Hickford <mirth.hickford@gmail.com> - 0.13.4-2
- populate flag main.version

* Tue Nov 05 2024 Packit <hello@packit.dev> - 0.13.4-1
- Update to 0.13.4 upstream release
- Resolves: rhbz#2322914

* Sat Aug 10 2024 Packit <hello@packit.dev> - 0.13.2-1
- Update to 0.13.2 upstream release
- Resolves: rhbz#2303961

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Packit <hello@packit.dev> - 0.13.0-1
- Update to 0.13.0 upstream release
- Resolves: rhbz#2298297

* Mon Jun 17 2024 Packit <hello@packit.dev> - 0.12.1-1
- Update to 0.12.1 upstream release
- Resolves: rhbz#2292622

* Fri May 03 2024 Packit <hello@packit.dev> - 0.11.3-1
- Update to 0.11.3 upstream release
- Resolves: rhbz#2278859

* Sat Apr 27 2024 Packit <hello@packit.dev> - 0.11.2-1
- Update to 0.11.2 upstream release
- Resolves: rhbz#2277453

* Sun Feb 25 2024 Packit <hello@packit.dev> - 0.11.1-1
- [packit] 0.11.1 upstream release
- Resolves rhbz#2231012

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 0.11.0-4
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Oct 06 2023 Packit <hello@packit.dev> - 0.11.0-1
- [packit] 0.11.0 upstream release

* Sun Sep 03 2023 M Hickford <mirth.hickford@gmail.com> - 0.10.1-4
- create dir

* Sun Sep 03 2023 M Hickford <mirth.hickford@gmail.com> - 0.10.1-3
- correct permissions

* Sun Sep 03 2023 M Hickford <mirth.hickford@gmail.com> - 0.10.1-2
- package man page

* Sat Sep 02 2023 Packit <hello@packit.dev> - 0.10.1-1
- [packit] 0.10.1 upstream release

* Thu Aug 10 2023 Packit <hello@packit.dev> - 0.10.0-1
- [packit] 0.10.0 upstream release

* Tue Jul 25 2023 Packit <hello@packit.dev> - 0.9.1-1
- [packit] 0.9.1 upstream release

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 17 2023 M Hickford <mirth.hickford@gmail.com> - 0.8.0-1
- fix version mismatch

* Mon Jul 17 2023 M Hickford <mirth.hickford@gmail.com> - 0.7.0-5
- issue_repository

* Mon Jul 17 2023 Laura Barcziova <lbarczio@redhat.com> - 0.7.0-4
- [Packit config] Set upstream_tag_template

* Sat Jul 08 2023 M Hickford <mirth.hickford@gmail.com> - 0.7.0-3
- New upstream version 0.8.0

* Mon Jun 05 2023 M Hickford <mirth.hickford@gmail.com> - 0.7.0-2
- Packit following https://packit.dev/docs/fedora-releases-guide/

* Thu May 11 2023 M Hickford <mirth.hickford@gmail.com> - 0.7.0-1
- correct version mismatch

* Thu May 11 2023 M Hickford <mirth.hickford@gmail.com> - 0.5.2-2
- New upstream version 0.7.0

* Sat Mar 11 2023 M Hickford <mirth.hickford@gmail.com> - 0.5.2-1
- New upstream version 0.5.2

* Tue Jan 24 2023 M Hickford <mirth.hickford@gmail.com> - 0.4.2-1
- New upstream version 0.4.2

* Mon Jan 23 2023 M Hickford <mirth.hickford@gmail.com> - 0.4.1-1
- New upstream version 0.4.1

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 06 2022 M Hickford <mirth.hickford@gmail.com> - 0.1.5-1
- Initial import (fedora#2142391).
## END: Generated by rpmautospec
